#!/usr/bin/python3
##############
# LED dimmen #
# 1.10.2020  #
##############

import RPi.GPIO as GPIO
import time

PIN = 40

GPIO.setmode(GPIO.BOARD)
GPIO.setup(PIN, GPIO.OUT, initial=GPIO.LOW)

led_red = GPIO.PWM(PIN, 100)
led_red.start(50)

try:
    while(True):
        for i in range(0, 101, 5):
            led_red.ChangeDutyCycle(i)
            time.sleep(0.1)
        for i in range(100, -1, -5):
            led_red.ChangeDutyCycle(i)
            time.sleep(0.1)

except KeyboardInterrupt:
    pass
finally:
    GPIO.cleanup() 
    
