#!/usr/bin/python3
import RPi.GPIO as GPIO

########################################
# class led                            #
# file: Led.py                         #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 09/01/2021                     #
########################################

class Led:

   def __init__(self, pin_number):
      self.pin_number = pin_number
      GPIO.setmode(GPIO.BOARD)
      GPIO.setup(self.pin_number, GPIO.OUT)

   def __del__(self):
      GPIO.output(self.pin_number, GPIO.LOW) 
      
   def ledOn(self):
      GPIO.output(self.pin_number, GPIO.HIGH) 

   def ledOff(self):
      GPIO.output(self.pin_number, GPIO.LOW) 
