#!/usr/bin/python3
#########################
# Vehikelklasse Test    #
# 30.10.2020            #
#########################

import sys
sys.path.append("/home/pi/Ae/Roboter/Interface")

import brickpi3
import time
from LegoMotor import LegoMotor
from LegoVehicle import *

BP = brickpi3.BrickPi3()

motor_l = LegoMotor(BP.PORT_A)
motor_r = LegoMotor(BP.PORT_B)
vehicle = LegoVehicle(WHEEL_SIZE_EV3, 12.0, motor_l, motor_r)
BP.set_sensor_type(BP.PORT_1, BP.SENSOR_TYPE.TOUCH)

time.sleep(10)

power = 10
done = False
vehicle.setSpeed(power)
vehicle.resetTachoCount()

print ("Start")

try:
    while True:
        touch_value = BP.get_sensor(BP.PORT_1)
        if touch_value == 1:
            if not done:
#                vehicle.forward(15)
                vehicle.backward(15)
                done = True
        else:
            vehicle.stop()
            vehicle.resetTachoCount()
            done = False
        
        time.sleep(0.1) 
except KeyboardInterrupt:
    print ("Ende")
    BP.reset_all()
