#!/usr/bin/python
########################################
# class hitechnic gyro sensor          #
# file: HitechnicGyroSensor.py         #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 19.11.2020                     #
########################################

import brickpi3 

BP = brickpi3.BrickPi3()

class HitechnicGyroSensor:

   def __init__(self, port):
      self.port = port
      BP.set_sensor_type(port, BP.SENSOR_TYPE.CUSTOM, [(BP.SENSOR_CUSTOM.PIN1_ADC)])

   def __del__(self):
      pass
      
   def getPort(self):
      return self.port

   def getPosition(self):
      return BP.get_sensor(self.port)[0]
