#!/usr/bin/python3
#################
# Blinkende LED #
# 29.9.2020     #
#################

import RPi.GPIO as GPIO
import time

PIN = 40

GPIO.setmode(GPIO.BOARD)
GPIO.setup(PIN, GPIO.OUT, initial=GPIO.LOW)

on = True

try:
    while(True):
        if (on):
            GPIO.output(PIN, GPIO.HIGH)
            on = False
        else:
            GPIO.output(PIN, GPIO.LOW)
            on = True
        time.sleep(0.5)

except KeyboardInterrupt:
    pass
finally:
    GPIO.cleanup() 
