#!/usr/bin/python3
#########################
# Motor und Sensor Test #
# 15.10.2020            #
#########################

import sys
sys.path.append("/home/pi/Ae/Roboter/Interface")

import brickpi3
import time
from Led import Led

BP = brickpi3.BrickPi3()
BP.set_sensor_type(BP.PORT_1, BP.SENSOR_TYPE.TOUCH)
led = Led()

time.sleep(10)

done = False

print ("Start")

try:
    while True:
        touch_value = BP.get_sensor(BP.PORT_1)
        if touch_value == 1:
            if not done:
                done = True
                led.blinkOn(1, 0.1)
        else:
            led.blinkOff()
            done = False
        
        time.sleep(0.1) 
except KeyboardInterrupt:
    print ("Ende")
    BP.reset_all()
