#!/usr/bin/python3
#########################
# Motorklasse Test      #
# 30.10.2020            #
#########################

import sys
sys.path.append("/home/pi/Ae/Roboter/Interface")

import brickpi3
import time
from LegoMotor import LegoMotor

BP = brickpi3.BrickPi3()

motor = LegoMotor(BP.PORT_A)
BP.set_sensor_type(BP.PORT_1, BP.SENSOR_TYPE.TOUCH)

time.sleep(10)

power = 10
done = False
motor.setSpeed(power)
motor.resetTachoCount()

print ("Start")

try:
    while True:
        touch_value = BP.get_sensor(BP.PORT_1)
        if touch_value == 1:
            print (motor.getEncoderDegrees())
            if not done:
                motor.rotate(-360)
                done = True
        else:
            motor.stop()
            motor.resetTachoCount()
            done = False
        
        time.sleep(0.1) 
except KeyboardInterrupt:
    print ("Ende")
    BP.reset_all()
