#!/usr/bin/python3
#########################
# Motor und Sensor Test #
# 15.10.2020            #
#########################

import brickpi3
import time

BP = brickpi3.BrickPi3()

BP.set_sensor_type(BP.PORT_1, BP.SENSOR_TYPE.TOUCH)

time.sleep(10)

power = 20
direction = 1
done = False

print ("Start")

try:
    while True:
        touch_value = BP.get_sensor(BP.PORT_1)
        if touch_value == 1:
            if not done:
                BP.set_motor_power(BP.PORT_A, power * direction)
                direction = 0 - direction
                done = True
        else:
            BP.set_motor_power(BP.PORT_A, 0)
            done = False
        
        time.sleep(0.1) 
except KeyboardInterrupt:
    print ("Ende")
