#!/usr/bin/python
########################################
# class lego color sensor raw          #
# file: LegoColorSensorRaw.py          #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 08.12.2020                     #
########################################

import brickpi3 

BP = brickpi3.BrickPi3()

class LegoColorSensorRaw:

   def __init__(self, port):
      self.port = port
      BP.set_sensor_type(port, BP.SENSOR_TYPE.EV3_COLOR_COLOR_COMPONENTS)

   def __del__(self):
      pass
      
   def getPort(self):
      return self.port

   def getColorRaw(self):
      return BP.get_sensor(self.port)
