#!/usr/bin/python
########################################
# class lego infrared sensor           #
# file: LegoInfraRedSensor.py          #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 21.10.2020                     #
########################################

import brickpi3 

BP = brickpi3.BrickPi3()

class LegoInfraRedSensor:

   def __init__(self, port):
      self.port = port
      BP.set_sensor_type(port, BP.SENSOR_TYPE.EV3_INFRARED_PROXIMITY)

   def __del__(self):
      pass
      
   def getPort(self):
      return self.port

   def getDistance(self):
      return BP.get_sensor(self.port)
