#!/usr/bin/python
########################################
# class lego touch sensor              #
# file: LegoTouchSensor.py             #
# Author: Th. Kaffka, Cologne, Germany #
# Date: 10.11.2020                     #
########################################
import brickpi3

BP = brickpi3.BrickPi3()

class LegoTouchSensor:

   def __init__(self, port):
      self.port = port
      BP.set_sensor_type(port, BP.SENSOR_TYPE.TOUCH)

   def __del__(self):
      pass
      
   def getPort(self):
      return self.port

   def isTouched(self):
      value = BP.get_sensor(self.port)
      if (value == 1): return True
      return False
